odd build failure in ld

Nicholas Clifton nickc@redhat.com
Wed Mar 5 14:02:00 GMT 2014


Hi Alan,

>>From my poking around yesterday, I think you'll need at least two
> versions of default-manifest.o, one for 64-bit and one for 32-bit.

Right.  Plus there might need to be big-endian and little-endian 
versions too.  Originally I had planned to put the default-manifest into 
libgcc and allow the multilib mechanism to take care of this kind of 
thing, but the Cygwin maintainers want a solution that will work without 
gcc...

Cheers
   Nick




More information about the Binutils mailing list